glibmm: Gio::ProxyAddress Class Reference

glibmm 2.32.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gio::ProxyAddress Class Reference
Portable Network I/O Functionality

ProxyAddress - An internet address with proxy information. More...

`#include <giomm/proxyaddress.h>`

Inheritance diagram for Gio::ProxyAddress:
[legend]

List of all members.

## Public Member Functions
virtual | ~ProxyAddress ()
GProxyAddress* | gobj ()
| Provides access to the underlying C GObject.
const GProxyAddress* | gobj () const
| Provides access to the underlying C GObject.
GProxyAddress* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_protocol () const
| Gets proxy's protocol.
Glib::ustring | get_destination_hostname () const
| Gets proxy's destination hostname.
guint16 | get_destination_port () const
| Gets proxy's destination port.
Glib::ustring | get_username () const
| Gets proxy's username.
Glib::ustring | get_password () const
| Gets proxy's password.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_protocol () const
| The proxy protocol.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_destination_hostname () const
| The proxy destination hostname.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_destination_port () const
| The proxy destination port.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_username () const
| The proxy username.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_password () const
| The proxy password.
Public Member Functions inherited from Gio::InetSocketAddress
virtual | ~InetSocketAddress ()
Glib::RefPtr< InetAddress > | get_address ()
| Gets address's InetAddress.
Glib::RefPtr< const InetAddress > | get_address () const
| Gets address's InetAddress.
guint16 | get_port () const
| Gets address's port.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< InetAddress > > | property_address () const
| The address.
Glib::PropertyProxy_ReadOnly < guint16 > | property_port () const
| The port.
Public Member Functions inherited from Gio::SocketAddress
virtual | ~SocketAddress ()
SocketFamily | get_family () const
| Gets the socket family type of address.
bool | to_native (gpointer dest, gsize destlen)
| Converts a SocketAddress to a native <type>struct sockaddr</type>, which can be passed to low-level functions like connect() or bind().
gssize | get_native_size () const
| Gets the size of address's native <type>struct sockaddr</type>.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< SocketFamily > > | property_family () const
| The family of the socket address.
Public Member Functions inherited from Glib::Object
void* | get_data (const QueryQuark& key)
void | set_data (const Quark& key, void* data)
void | set_data (const Quark& key, void* data, DestroyNotify notify)
void | remove_data (const QueryQuark& quark)
void* | steal_data (const QueryQuark& quark)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase&value)
| You probably want to use a specific property_*() accessor method instead.
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase&value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType&value)
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType&value) const
| You probably want to use a specific property_*() accessor method instead.
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API.
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API.
void | freeze_notify ()
| Increases the freeze count on object.
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify().
virtual void | reference () const
| Increment the reference count for this object.
virtual void | unreference () const
| Decrement the reference count for this object.
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access.
Public Member Functions inherited from sigc::trackable
| trackable (const trackable &src)
trackable & | operator= (const trackable &src)
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | remove_destroy_notify_callback (void *data) const
void | notify_callbacks ()
Public Member Functions inherited from Gio::SocketConnectable
virtual | ~SocketConnectable ()
Glib::RefPtr < SocketAddressEnumerator > | enumerate ()
| Creates a SocketAddressEnumerator for connectable.
Glib::RefPtr< const SocketAddressEnumerator > | enumerate () const
| Creates a SocketAddressEnumerator for connectable.
Glib::RefPtr < SocketAddressEnumerator > | proxy_enumerate ()
| Creates a SocketAddressEnumerator for connectable that will return ProxyAddresses for addresses that you must connect to via a proxy.
Glib::RefPtr< const SocketAddressEnumerator > | proxy_enumerate () const
| Creates a SocketAddressEnumerator for connectable that will return ProxyAddresses for addresses that you must connect to via a proxy.
Public Member Functions inherited from Glib::Interface
| Interface (const Glib::Interface_Class& interface_class)
| Called by constructors of derived classes.
| Interface (GObject* castitem)
| Called by constructors of derived classes.
virtual | ~Interface ()

## Static Public Member Functions
static Glib::RefPtr< ProxyAddress > | create (const Glib::RefPtr< InetAddress >& address, guint16 port, const Glib::ustring& protocol, const Glib::ustring& destination_hostname, guint16 destination_port, const Glib::ustring& username=Glib::ustring(), const Glib::ustring& password=Glib::ustring())
Static Public Member Functions inherited from Gio::InetSocketAddress
static Glib::RefPtr < InetSocketAddress > | create (const Glib::RefPtr< InetAddress >& address, guint16 port)
Static Public Member Functions inherited from Gio::SocketAddress
static Glib::RefPtr < SocketAddress > | create (gpointer native, gsize len)
Static Public Member Functions inherited from Gio::SocketConnectable
static void | add_interface (GType gtype_implementer)

## Protected Member Functions
| ProxyAddress (const Glib::RefPtr< InetAddress >& address, guint16 port, const Glib::ustring& protocol, const Glib::ustring& destination_hostname, guint16 destination_port, const Glib::ustring& username=Glib::ustring(), const Glib::ustring& password=Glib::ustring())
Protected Member Functions inherited from Gio::InetSocketAddress
| InetSocketAddress (const Glib::RefPtr< InetAddress >& address, guint16 port)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::ProxyAddress > | wrap (GProxyAddress* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gio::InetSocketAddress
Glib::RefPtr < Gio::InetSocketAddress > | wrap (GInetSocketAddress* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gio::SocketAddress
Glib::RefPtr< Gio::SocketAddress > | wrap (GSocketAddress* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Glib::Object
Glib::RefPtr< Glib::Object > | wrap (GObject* object, bool take_copy=false)
Related Functions inherited from Gio::SocketConnectable
Glib::RefPtr < Gio::SocketConnectable > | wrap (GSocketConnectable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

ProxyAddress - An internet address with proxy information.

Support for proxied InetSocketAddress.

Since glibmm 2.28:

## Constructor & Destructor Documentation

virtual Gio::ProxyAddress::~ProxyAddress | ( |  | ) |
| virtual

Gio::ProxyAddress::ProxyAddress | ( | const Glib::RefPtr< InetAddress >& | address,
|  | guint16 | port,
|  | const Glib::ustring& | protocol,
|  | const Glib::ustring& | destination_hostname,
|  | guint16 | destination_port,
|  | const Glib::ustring& | username = `Glib::ustring()`,
|  | const Glib::ustring& | password = `Glib::ustring()`
| ) |  |
| explicitprotected

## Member Function Documentation

static Glib::RefPtr<ProxyAddress> Gio::ProxyAddress::create | ( | const Glib::RefPtr< InetAddress >& | address,
|  | guint16 | port,
|  | const Glib::ustring& | protocol,
|  | const Glib::ustring& | destination_hostname,
|  | guint16 | destination_port,
|  | const Glib::ustring& | username = `Glib::ustring()`,
|  | const Glib::ustring& | password = `Glib::ustring()`
| ) |  |
| static

Glib::ustring Gio::ProxyAddress::get_destination_hostname | ( |  | ) | const

Gets proxy's destination hostname.

Since glibmm 2.26:

Returns:
  The proxy's destination hostname.

guint16 Gio::ProxyAddress::get_destination_port | ( |  | ) | const

Gets proxy's destination port.

Since glibmm 2.26:

Returns:
  The proxy's destination port.

Glib::ustring Gio::ProxyAddress::get_password | ( |  | ) | const

Gets proxy's password.

Since glibmm 2.26:

Returns:
  The proxy's password.

Glib::ustring Gio::ProxyAddress::get_protocol | ( |  | ) | const

Gets proxy's protocol.

Since glibmm 2.26:

Returns:
  The proxy's protocol.

Glib::ustring Gio::ProxyAddress::get_username | ( |  | ) | const

Gets proxy's username.

Since glibmm 2.26:

Returns:
  The proxy's username.

GProxyAddress* Gio::ProxyAddress::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

Reimplemented from Gio::InetSocketAddress.

const GProxyAddress* Gio::ProxyAddress::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

Reimplemented from Gio::InetSocketAddress.

GProxyAddress* Gio::ProxyAddress::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gio::InetSocketAddress.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gio::ProxyAddress::property_destination_hostname | ( |  | ) | const

The proxy destination hostname.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gio::ProxyAddress::property_destination_port | ( |  | ) | const

The proxy destination port.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gio::ProxyAddress::property_password | ( |  | ) | const

The proxy password.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gio::ProxyAddress::property_protocol | ( |  | ) | const

The proxy protocol.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gio::ProxyAddress::property_username | ( |  | ) | const

The proxy username.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::ProxyAddress > wrap | ( | GProxyAddress * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.